
#include "solver.h"
/*
#include "func.h"
#include "cell.h"
#include "sheet.h"
#include "sheet-style.h"
#include "dependent.h"
#include "dialogs.h"
#include "mstyle.h"
#include "value.h"
#include "ranges.h"
#include "mathfunc.h"
#include "analysis-tools.h"
#include "api.h"
#include "gutils.h"

#include <math.h>
#include <stdlib.h>
#include <unistd.h>
*/

typedef struct _qp_qld_program_ {
	int m;
        int me;                     
        int mmax;
        int n;
        int nmax;
        int mnn;
	double *c;
        double *d;
        double *a;
	SolverConstraintType *a_type;
        double *b;
        double *xl;
        double *xu;
        double *x;
        double *u;
        int iout;
        int ifail;
        int iprint;

        int lwar;
        int liwar;
	int *iwar;
	double *war;
        double eps1; //  = 1.11e-16; by default
	int b_max; // == 1 if the objective function should be maximized , 0 otherwise
} qp_qld_program;

/*
	int ql0001_(
        int *m,         // pocet podmienok
        int *me,        // pocet podmienok s rovnostou
        int *mmax,      // = m
        int *n,         // pocet premennych
        int *nmax,      // = n
        int *mnn,       // = m + n + n
        double *c,      // matica kvadratickych koeficientov ucelovky v jednorozmernom poli
        double *d,      // linearne cleny ucelovky
        double *a,      // matica koeficientov podmienok ulozena v jednorozmernom poli
        double *b,      // prava strana podmienok
        double *xl,     // dolne hranice pre premenne
        double *xu,     // horne hranice pre premenne
        double *x,      // premenne
        double *u,      // pole o velkosti m + n
        int *iout,      // premenna == 0
        int *ifail,     // taktiez
        int *iprint,    // premenna == 1 (asi to bude printovat alebo co)
        double *war,    // pole dlzky *lwar
        int *lwar,      // premenna = 3 * N * N / 2 + 10 * N + 2 * M + 1;
        int *iwar,      // pole dlzky *n
        int *liwar,     // premenna - dlzka iwar
        double *eps1)    // daka konstanta, bolo 1.11e-16

	A[i] X + B[i] = 0, 0 <= i <= me - 1
	  A[i] X + B[i] >= 0, me <= i <= m - 1
	  x*c*x + d*x = min
	  Xl[i] <= X[i] <= Xl[i], 0 <= i <= n - 1

*/


extern int ql0001_(int* m, int* me, int* mmax, int* n, int* nmax, int* mnn, double* c, double* d, double* a, double* b, double* xl, double* xu, double* x, double* u, int* iout, int* ifail, int* iprint, double* war, int * lwar, int* iwar, int* liwar, double* eps);

